<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{208,17,1024,690}</property>
    <property name="Name">[SE_PROD.scr]</property>
    <property name="Caption">[Cadastro de Produtos]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.F.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.F.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\fundo.scr.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,202,56,54,54)

hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:top();Primeira;Primeira;xml\icon\primeiro.jpg;28;28;;;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:pageUp();Volta_Pag;Volta_Pag;xml\icon\anterior.jpg;28;28;;;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:pageDown();Avanca_Pag;Avanca_Pag;xml\icon\proximo.jpg;28;28;;;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:bottom();Ultima;Ultima;xml\icon\ultimo.jpg;28;28;;;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')

hwg_TbMt(oToolbar,'22;tb_insert(D_OB);Ins-Inclui ;Inclui Nova OS;xml\icon\add.jpg;28;28;;;')
hwg_TbMt(oToolbar,'65;tb_update(D_OB);A-Altera ;Altera os dados da OS;xml\icon\alterar.jpg;28;28;;;')
hwg_TbMt(oToolbar,'7;tb_del(d_ob);Del-Apaga ;Deleta/Exclui o Cadastro da OS;xml\icon\deleta.jpg;28;28;;;')
hwg_TbMt(oToolbar,'32;tb_cons();Barra-Exibe ;Exibe os dados de uma OS;xml\icon\visualizar.jpg;28;28;;;')
hwg_TbMt(oToolbar,'80;tb_pesq(D_OB);P-Pesquisa ;P - Pesquisa;xml\icon\pesquisa.jpg;28;28;;;')
hwg_TbMt(oToolbar,'79;tb_index(D_OB);O-Ordena ;O - Ordena;xml\icon\ordena.jpg;28;28;;;')
hwg_TbMt(oToolbar,'73;ExecutaXML("dlgrelat");I-Imprime ;I - Imprime;xml\icon\impressora.jpg;28;28;;;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;xml\icon\saida.ico;28;28;;;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,660,1024,30}</property>
      <property name="Name">[oStatus1]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{17,124,990,510}</property>
      <property name="Name">[D_oB]</property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">13</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
hwg_TbFi(D_oB, 'Numero;recno();N;9999999999;10;N;')
hwg_TbFi(D_oB, 'Data Emissão;FDATAEMI;D;99/99/99;8;N;')
hwg_TbFi(D_oB, 'Cod.Cliente;FCLI;N;99999999999999;14;N;')
hwg_TbFi(D_oB, 'Nome.Cliente;CR_NOME;C;@s40;40;N;')
D_oB:Alias := alias()
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"OS_OT",.F.,.T.,{||.T.} }
d_ob:bEdit := &('{|D_oB| nKey:=13,se_doget(D_ob)}')
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{188,0,811,52}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Cadastro de Ordem de Serviço Otica]</property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-48" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">14</property>
    </style>
  </part>
</part>
